Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.group.model
Interface VGroup

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedContainer, VContainedElement, VContainer, VElement

All Known Implementing Classes:
  VGroupImpl

    public interface VGroup

extends VContainedContainer

A representation of the model object 'Group'.

The following features are supported:

- `Group Type`
- `Label Alignment`
- `Collapsed`

See Also:
  `VGroupPackage.getGroup()`

Method Summary
`GroupType` | `getGroupType()` Returns the value of the 'Group Type' attribute.
`GroupLabelAlignment` | `getLabelAlignment()` Returns the value of the 'Label Alignment' attribute.
`boolean` | `isCollapsed()` Returns the value of the 'Collapsed' attribute.
`void` | `setCollapsed(boolean value)` Sets the value of the '`Collapsed`' attribute.
`void` | `setGroupType(GroupType value)` Sets the value of the '`Group Type`' attribute.
`void` | `setLabelAlignment(GroupLabelAlignment value)` Sets the value of the '`Label Alignment`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VContainer
`getChildren`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupType

    GroupType getGroupType()

  Returns the value of the 'Group Type' attribute. The literals are from the enumeration `GroupType`.

  If the meaning of the 'Group Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group Type' attribute.
  Since:
    1.4
  See Also:
    `GroupType`, `setGroupType(GroupType)`, `VGroupPackage.getGroup_GroupType()`

### setGroupType

    void setGroupType(GroupType value)

  Sets the value of the '`Group Type`' attribute.

  Parameters:
    `value` - the new value of the 'Group Type' attribute.
  Since:
    1.4
  See Also:
    `GroupType`, `getGroupType()`

### getLabelAlignment

    GroupLabelAlignment getLabelAlignment()

  Returns the value of the 'Label Alignment' attribute. The default value is `"LabelAligned"`. The literals are from the enumeration `GroupLabelAlignment`.

  If the meaning of the 'Label Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Alignment' attribute.
  See Also:
    `GroupLabelAlignment`, `setLabelAlignment(GroupLabelAlignment)`, `VGroupPackage.getGroup_LabelAlignment()`

### setLabelAlignment

    void setLabelAlignment(GroupLabelAlignment value)

  Sets the value of the '`Label Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Label Alignment' attribute.
  Since:
    1.3
  See Also:
    `GroupLabelAlignment`, `getLabelAlignment()`

### isCollapsed

    boolean isCollapsed()

  Returns the value of the 'Collapsed' attribute.

  If the meaning of the 'Collapsed' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collapsed' attribute.
  Since:
    1.4
  See Also:
    `setCollapsed(boolean)`, `VGroupPackage.getGroup_Collapsed()`

### setCollapsed

    void setCollapsed(boolean value)

  Sets the value of the '`Collapsed`' attribute.

  Parameters:
    `value` - the new value of the 'Collapsed' attribute.
  Since:
    1.4
  See Also:
    `isCollapsed()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.